Skip to content

Add a store credential

POST
/v1/credentials
curl --request POST \
--url https://api.extport.dev/api/v1/credentials \
--header 'Content-Type: application/json' \
--cookie extport_session=<extport_session> \
--data '{ "store": "chrome", "label": "example", "expiresAt": "example", "credentials": "example" }'

Verified against the live store API before saving, then envelope-encrypted — only the last four characters are ever shown again.

Media typeapplication/json
object
store
required
string
Allowed values: chrome firefox edge safari
label
string
expiresAt
string
credentials
required

Created

Media typeapplication/json
object
credential
required
object
id
required
string
store
required
string
Allowed values: chrome firefox edge safari
label
required
string
hint
required
string
status
required
string
expiresAt
required
Any of:
string
lastVerifiedAt
required
Any of:
string
createdAt
required
string
Example
{
"credential": {
"store": "chrome"
}
}

The store rejected the credentials